'''Goblin race for D&D 3.5 Mod'''

import es, dnds, popuplib
from dnds import dnds

def load():
    dnds.addRace('Goblin')

    goblininfo = popuplib.create('goblininformation')
    goblininfo.addline('-{ D&D CS:S - Goblin Info }-')
    goblininfo.addline(' Minus 10% Damage ')
    goblininfo.addline(' 5% Chance to Dodge ')
    goblininfo.addline(' Increased Stealth ')
    goblininfo.addline('-> 8. Back')
    goblininfo.addline('0. Exit')
    goblininfo.submenu(8, 'stracesinfo 1')
    dnds.addRaceInformation('Goblin', 'goblininformation')

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Goblin'):
        Key = dnds.getPlayer(userid)
        Key['debuff'] += .1
        Key['dodge percent'] += 5
        Key['color'] -= 15
        Key['dodge max damage'] = 100
